---

- name: configure hostname
  hostname:
    name: "{{ inventory_hostname }}.{{ domain }}"

- name: disable NetworkManager generating resolv.conf
  template:
    src: 90-dns-none.conf.j2
    dest: /etc/NetworkManager/conf.d/90-dns-none.conf
    owner: root
    group: root
    mode: 0644
  notify:
    - restart NetworkManager

- name: deploy resolv.conf
  template:
    src: resolv.conf.j2
    dest: /etc/resolv.conf
    owner: root
    group: root
    mode: 0644

- name: add epel & update package cache
  dnf:
    name: epel-release 
    state: latest
    update_cache: yes

- name: update all packages
  dnf:
    name: "*"
    state: latest

- name: install auditd
  dnf:
    name: 
      - audispd-plugins

- name: enable and start auditd
  service:
    name: auditd
    enabled: yes
    state: started

- name: configure timezone
  timezone:
    name: 'Europe/Stockholm'

- name: generate ssh key for root user
  openssh_keypair:
    path: "/root/.ssh/id_rsa"
    type: rsa
    size: 4096
    state: present
    force: no

- name: configure journald
  template:
    src: "{{ item }}.j2"
    dest: /etc/systemd/{{ item }}
    owner: root
    group: root
    mode: 0644
  with_items:
    - journald.conf
  notify:
    - restart journald

- name: install syslog-ng
  dnf:
    name: syslog-ng
    state: present

- name: configure syslog-ng
  template:
    src: "{{ item.name }}.j2"
    dest: "{{ item.path }}{{ item.name }}"
    owner: root
    group: root
    mode: "{{ item.mode }}"
  with_items:
    - { name: "syslog-ng.conf", path: "/etc/syslog-ng/", mode: '0600' }
    - { name: "syslog-ng@default", path: "/etc/default/", mode: '0644' }
  notify:
    - restart syslog-ng

- name: enable and start syslog-ng
  service:
    name: syslog-ng
    enabled: yes
    state: started

- name: install logrotate
  dnf:
    name: logrotate
    state: present

- name: configure logrotate
  template:
    src: logrotate.conf.j2
    dest: /etc/logrotate.conf
    owner: root
    group: root
    mode: 0644

# Outdate: due to daily cron job

# - name: enable and start logrotate
#   service:
#     name: logrotate.timer
#     enabled: yes
#     state: started


